/*******************************************************************************
* File Name: CF_CD.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_CF_CD_H) /* Pins CF_CD_H */
#define CY_PINS_CF_CD_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "CF_CD_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    CF_CD_Write(uint8 value) ;
void    CF_CD_SetDriveMode(uint8 mode) ;
uint8   CF_CD_ReadDataReg(void) ;
uint8   CF_CD_Read(void) ;
uint8   CF_CD_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define CF_CD_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define CF_CD_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define CF_CD_DM_RES_UP          PIN_DM_RES_UP
#define CF_CD_DM_RES_DWN         PIN_DM_RES_DWN
#define CF_CD_DM_OD_LO           PIN_DM_OD_LO
#define CF_CD_DM_OD_HI           PIN_DM_OD_HI
#define CF_CD_DM_STRONG          PIN_DM_STRONG
#define CF_CD_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define CF_CD_MASK               CF_CD__MASK
#define CF_CD_SHIFT              CF_CD__SHIFT
#define CF_CD_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define CF_CD_PS                     (* (reg8 *) CF_CD__PS)
/* Data Register */
#define CF_CD_DR                     (* (reg8 *) CF_CD__DR)
/* Port Number */
#define CF_CD_PRT_NUM                (* (reg8 *) CF_CD__PRT) 
/* Connect to Analog Globals */                                                  
#define CF_CD_AG                     (* (reg8 *) CF_CD__AG)                       
/* Analog MUX bux enable */
#define CF_CD_AMUX                   (* (reg8 *) CF_CD__AMUX) 
/* Bidirectional Enable */                                                        
#define CF_CD_BIE                    (* (reg8 *) CF_CD__BIE)
/* Bit-mask for Aliased Register Access */
#define CF_CD_BIT_MASK               (* (reg8 *) CF_CD__BIT_MASK)
/* Bypass Enable */
#define CF_CD_BYP                    (* (reg8 *) CF_CD__BYP)
/* Port wide control signals */                                                   
#define CF_CD_CTL                    (* (reg8 *) CF_CD__CTL)
/* Drive Modes */
#define CF_CD_DM0                    (* (reg8 *) CF_CD__DM0) 
#define CF_CD_DM1                    (* (reg8 *) CF_CD__DM1)
#define CF_CD_DM2                    (* (reg8 *) CF_CD__DM2) 
/* Input Buffer Disable Override */
#define CF_CD_INP_DIS                (* (reg8 *) CF_CD__INP_DIS)
/* LCD Common or Segment Drive */
#define CF_CD_LCD_COM_SEG            (* (reg8 *) CF_CD__LCD_COM_SEG)
/* Enable Segment LCD */
#define CF_CD_LCD_EN                 (* (reg8 *) CF_CD__LCD_EN)
/* Slew Rate Control */
#define CF_CD_SLW                    (* (reg8 *) CF_CD__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define CF_CD_PRTDSI__CAPS_SEL       (* (reg8 *) CF_CD__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define CF_CD_PRTDSI__DBL_SYNC_IN    (* (reg8 *) CF_CD__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define CF_CD_PRTDSI__OE_SEL0        (* (reg8 *) CF_CD__PRTDSI__OE_SEL0) 
#define CF_CD_PRTDSI__OE_SEL1        (* (reg8 *) CF_CD__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define CF_CD_PRTDSI__OUT_SEL0       (* (reg8 *) CF_CD__PRTDSI__OUT_SEL0) 
#define CF_CD_PRTDSI__OUT_SEL1       (* (reg8 *) CF_CD__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define CF_CD_PRTDSI__SYNC_OUT       (* (reg8 *) CF_CD__PRTDSI__SYNC_OUT) 


#if defined(CF_CD__INTSTAT)  /* Interrupt Registers */

    #define CF_CD_INTSTAT                (* (reg8 *) CF_CD__INTSTAT)
    #define CF_CD_SNAP                   (* (reg8 *) CF_CD__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins CF_CD_H */


/* [] END OF FILE */
