/*******************************************************************************
* File Name: CF_RDY.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_CF_RDY_H) /* Pins CF_RDY_H */
#define CY_PINS_CF_RDY_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "CF_RDY_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    CF_RDY_Write(uint8 value) ;
void    CF_RDY_SetDriveMode(uint8 mode) ;
uint8   CF_RDY_ReadDataReg(void) ;
uint8   CF_RDY_Read(void) ;
uint8   CF_RDY_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define CF_RDY_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define CF_RDY_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define CF_RDY_DM_RES_UP          PIN_DM_RES_UP
#define CF_RDY_DM_RES_DWN         PIN_DM_RES_DWN
#define CF_RDY_DM_OD_LO           PIN_DM_OD_LO
#define CF_RDY_DM_OD_HI           PIN_DM_OD_HI
#define CF_RDY_DM_STRONG          PIN_DM_STRONG
#define CF_RDY_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define CF_RDY_MASK               CF_RDY__MASK
#define CF_RDY_SHIFT              CF_RDY__SHIFT
#define CF_RDY_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define CF_RDY_PS                     (* (reg8 *) CF_RDY__PS)
/* Data Register */
#define CF_RDY_DR                     (* (reg8 *) CF_RDY__DR)
/* Port Number */
#define CF_RDY_PRT_NUM                (* (reg8 *) CF_RDY__PRT) 
/* Connect to Analog Globals */                                                  
#define CF_RDY_AG                     (* (reg8 *) CF_RDY__AG)                       
/* Analog MUX bux enable */
#define CF_RDY_AMUX                   (* (reg8 *) CF_RDY__AMUX) 
/* Bidirectional Enable */                                                        
#define CF_RDY_BIE                    (* (reg8 *) CF_RDY__BIE)
/* Bit-mask for Aliased Register Access */
#define CF_RDY_BIT_MASK               (* (reg8 *) CF_RDY__BIT_MASK)
/* Bypass Enable */
#define CF_RDY_BYP                    (* (reg8 *) CF_RDY__BYP)
/* Port wide control signals */                                                   
#define CF_RDY_CTL                    (* (reg8 *) CF_RDY__CTL)
/* Drive Modes */
#define CF_RDY_DM0                    (* (reg8 *) CF_RDY__DM0) 
#define CF_RDY_DM1                    (* (reg8 *) CF_RDY__DM1)
#define CF_RDY_DM2                    (* (reg8 *) CF_RDY__DM2) 
/* Input Buffer Disable Override */
#define CF_RDY_INP_DIS                (* (reg8 *) CF_RDY__INP_DIS)
/* LCD Common or Segment Drive */
#define CF_RDY_LCD_COM_SEG            (* (reg8 *) CF_RDY__LCD_COM_SEG)
/* Enable Segment LCD */
#define CF_RDY_LCD_EN                 (* (reg8 *) CF_RDY__LCD_EN)
/* Slew Rate Control */
#define CF_RDY_SLW                    (* (reg8 *) CF_RDY__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define CF_RDY_PRTDSI__CAPS_SEL       (* (reg8 *) CF_RDY__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define CF_RDY_PRTDSI__DBL_SYNC_IN    (* (reg8 *) CF_RDY__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define CF_RDY_PRTDSI__OE_SEL0        (* (reg8 *) CF_RDY__PRTDSI__OE_SEL0) 
#define CF_RDY_PRTDSI__OE_SEL1        (* (reg8 *) CF_RDY__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define CF_RDY_PRTDSI__OUT_SEL0       (* (reg8 *) CF_RDY__PRTDSI__OUT_SEL0) 
#define CF_RDY_PRTDSI__OUT_SEL1       (* (reg8 *) CF_RDY__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define CF_RDY_PRTDSI__SYNC_OUT       (* (reg8 *) CF_RDY__PRTDSI__SYNC_OUT) 


#if defined(CF_RDY__INTSTAT)  /* Interrupt Registers */

    #define CF_RDY_INTSTAT                (* (reg8 *) CF_RDY__INTSTAT)
    #define CF_RDY_SNAP                   (* (reg8 *) CF_RDY__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins CF_RDY_H */


/* [] END OF FILE */
