/*******************************************************************************
* File Name: CF_REG.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_CF_REG_H) /* Pins CF_REG_H */
#define CY_PINS_CF_REG_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "CF_REG_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    CF_REG_Write(uint8 value) ;
void    CF_REG_SetDriveMode(uint8 mode) ;
uint8   CF_REG_ReadDataReg(void) ;
uint8   CF_REG_Read(void) ;
uint8   CF_REG_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define CF_REG_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define CF_REG_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define CF_REG_DM_RES_UP          PIN_DM_RES_UP
#define CF_REG_DM_RES_DWN         PIN_DM_RES_DWN
#define CF_REG_DM_OD_LO           PIN_DM_OD_LO
#define CF_REG_DM_OD_HI           PIN_DM_OD_HI
#define CF_REG_DM_STRONG          PIN_DM_STRONG
#define CF_REG_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define CF_REG_MASK               CF_REG__MASK
#define CF_REG_SHIFT              CF_REG__SHIFT
#define CF_REG_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define CF_REG_PS                     (* (reg8 *) CF_REG__PS)
/* Data Register */
#define CF_REG_DR                     (* (reg8 *) CF_REG__DR)
/* Port Number */
#define CF_REG_PRT_NUM                (* (reg8 *) CF_REG__PRT) 
/* Connect to Analog Globals */                                                  
#define CF_REG_AG                     (* (reg8 *) CF_REG__AG)                       
/* Analog MUX bux enable */
#define CF_REG_AMUX                   (* (reg8 *) CF_REG__AMUX) 
/* Bidirectional Enable */                                                        
#define CF_REG_BIE                    (* (reg8 *) CF_REG__BIE)
/* Bit-mask for Aliased Register Access */
#define CF_REG_BIT_MASK               (* (reg8 *) CF_REG__BIT_MASK)
/* Bypass Enable */
#define CF_REG_BYP                    (* (reg8 *) CF_REG__BYP)
/* Port wide control signals */                                                   
#define CF_REG_CTL                    (* (reg8 *) CF_REG__CTL)
/* Drive Modes */
#define CF_REG_DM0                    (* (reg8 *) CF_REG__DM0) 
#define CF_REG_DM1                    (* (reg8 *) CF_REG__DM1)
#define CF_REG_DM2                    (* (reg8 *) CF_REG__DM2) 
/* Input Buffer Disable Override */
#define CF_REG_INP_DIS                (* (reg8 *) CF_REG__INP_DIS)
/* LCD Common or Segment Drive */
#define CF_REG_LCD_COM_SEG            (* (reg8 *) CF_REG__LCD_COM_SEG)
/* Enable Segment LCD */
#define CF_REG_LCD_EN                 (* (reg8 *) CF_REG__LCD_EN)
/* Slew Rate Control */
#define CF_REG_SLW                    (* (reg8 *) CF_REG__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define CF_REG_PRTDSI__CAPS_SEL       (* (reg8 *) CF_REG__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define CF_REG_PRTDSI__DBL_SYNC_IN    (* (reg8 *) CF_REG__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define CF_REG_PRTDSI__OE_SEL0        (* (reg8 *) CF_REG__PRTDSI__OE_SEL0) 
#define CF_REG_PRTDSI__OE_SEL1        (* (reg8 *) CF_REG__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define CF_REG_PRTDSI__OUT_SEL0       (* (reg8 *) CF_REG__PRTDSI__OUT_SEL0) 
#define CF_REG_PRTDSI__OUT_SEL1       (* (reg8 *) CF_REG__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define CF_REG_PRTDSI__SYNC_OUT       (* (reg8 *) CF_REG__PRTDSI__SYNC_OUT) 


#if defined(CF_REG__INTSTAT)  /* Interrupt Registers */

    #define CF_REG_INTSTAT                (* (reg8 *) CF_REG__INTSTAT)
    #define CF_REG_SNAP                   (* (reg8 *) CF_REG__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins CF_REG_H */


/* [] END OF FILE */
