/*******************************************************************************
* File Name: BCLK.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_BCLK_H) /* Pins BCLK_H */
#define CY_PINS_BCLK_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "BCLK_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    BCLK_Write(uint8 value) ;
void    BCLK_SetDriveMode(uint8 mode) ;
uint8   BCLK_ReadDataReg(void) ;
uint8   BCLK_Read(void) ;
uint8   BCLK_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define BCLK_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define BCLK_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define BCLK_DM_RES_UP          PIN_DM_RES_UP
#define BCLK_DM_RES_DWN         PIN_DM_RES_DWN
#define BCLK_DM_OD_LO           PIN_DM_OD_LO
#define BCLK_DM_OD_HI           PIN_DM_OD_HI
#define BCLK_DM_STRONG          PIN_DM_STRONG
#define BCLK_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define BCLK_MASK               BCLK__MASK
#define BCLK_SHIFT              BCLK__SHIFT
#define BCLK_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define BCLK_PS                     (* (reg8 *) BCLK__PS)
/* Data Register */
#define BCLK_DR                     (* (reg8 *) BCLK__DR)
/* Port Number */
#define BCLK_PRT_NUM                (* (reg8 *) BCLK__PRT) 
/* Connect to Analog Globals */                                                  
#define BCLK_AG                     (* (reg8 *) BCLK__AG)                       
/* Analog MUX bux enable */
#define BCLK_AMUX                   (* (reg8 *) BCLK__AMUX) 
/* Bidirectional Enable */                                                        
#define BCLK_BIE                    (* (reg8 *) BCLK__BIE)
/* Bit-mask for Aliased Register Access */
#define BCLK_BIT_MASK               (* (reg8 *) BCLK__BIT_MASK)
/* Bypass Enable */
#define BCLK_BYP                    (* (reg8 *) BCLK__BYP)
/* Port wide control signals */                                                   
#define BCLK_CTL                    (* (reg8 *) BCLK__CTL)
/* Drive Modes */
#define BCLK_DM0                    (* (reg8 *) BCLK__DM0) 
#define BCLK_DM1                    (* (reg8 *) BCLK__DM1)
#define BCLK_DM2                    (* (reg8 *) BCLK__DM2) 
/* Input Buffer Disable Override */
#define BCLK_INP_DIS                (* (reg8 *) BCLK__INP_DIS)
/* LCD Common or Segment Drive */
#define BCLK_LCD_COM_SEG            (* (reg8 *) BCLK__LCD_COM_SEG)
/* Enable Segment LCD */
#define BCLK_LCD_EN                 (* (reg8 *) BCLK__LCD_EN)
/* Slew Rate Control */
#define BCLK_SLW                    (* (reg8 *) BCLK__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define BCLK_PRTDSI__CAPS_SEL       (* (reg8 *) BCLK__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define BCLK_PRTDSI__DBL_SYNC_IN    (* (reg8 *) BCLK__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define BCLK_PRTDSI__OE_SEL0        (* (reg8 *) BCLK__PRTDSI__OE_SEL0) 
#define BCLK_PRTDSI__OE_SEL1        (* (reg8 *) BCLK__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define BCLK_PRTDSI__OUT_SEL0       (* (reg8 *) BCLK__PRTDSI__OUT_SEL0) 
#define BCLK_PRTDSI__OUT_SEL1       (* (reg8 *) BCLK__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define BCLK_PRTDSI__SYNC_OUT       (* (reg8 *) BCLK__PRTDSI__SYNC_OUT) 


#if defined(BCLK__INTSTAT)  /* Interrupt Registers */

    #define BCLK_INTSTAT                (* (reg8 *) BCLK__INTSTAT)
    #define BCLK_SNAP                   (* (reg8 *) BCLK__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins BCLK_H */


/* [] END OF FILE */
