/*******************************************************************************
* File Name: PLAY_DOWN.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PLAY_DOWN_H) /* Pins PLAY_DOWN_H */
#define CY_PINS_PLAY_DOWN_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "PLAY_DOWN_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    PLAY_DOWN_Write(uint8 value) ;
void    PLAY_DOWN_SetDriveMode(uint8 mode) ;
uint8   PLAY_DOWN_ReadDataReg(void) ;
uint8   PLAY_DOWN_Read(void) ;
uint8   PLAY_DOWN_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define PLAY_DOWN_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define PLAY_DOWN_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define PLAY_DOWN_DM_RES_UP          PIN_DM_RES_UP
#define PLAY_DOWN_DM_RES_DWN         PIN_DM_RES_DWN
#define PLAY_DOWN_DM_OD_LO           PIN_DM_OD_LO
#define PLAY_DOWN_DM_OD_HI           PIN_DM_OD_HI
#define PLAY_DOWN_DM_STRONG          PIN_DM_STRONG
#define PLAY_DOWN_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define PLAY_DOWN_MASK               PLAY_DOWN__MASK
#define PLAY_DOWN_SHIFT              PLAY_DOWN__SHIFT
#define PLAY_DOWN_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define PLAY_DOWN_PS                     (* (reg8 *) PLAY_DOWN__PS)
/* Data Register */
#define PLAY_DOWN_DR                     (* (reg8 *) PLAY_DOWN__DR)
/* Port Number */
#define PLAY_DOWN_PRT_NUM                (* (reg8 *) PLAY_DOWN__PRT) 
/* Connect to Analog Globals */                                                  
#define PLAY_DOWN_AG                     (* (reg8 *) PLAY_DOWN__AG)                       
/* Analog MUX bux enable */
#define PLAY_DOWN_AMUX                   (* (reg8 *) PLAY_DOWN__AMUX) 
/* Bidirectional Enable */                                                        
#define PLAY_DOWN_BIE                    (* (reg8 *) PLAY_DOWN__BIE)
/* Bit-mask for Aliased Register Access */
#define PLAY_DOWN_BIT_MASK               (* (reg8 *) PLAY_DOWN__BIT_MASK)
/* Bypass Enable */
#define PLAY_DOWN_BYP                    (* (reg8 *) PLAY_DOWN__BYP)
/* Port wide control signals */                                                   
#define PLAY_DOWN_CTL                    (* (reg8 *) PLAY_DOWN__CTL)
/* Drive Modes */
#define PLAY_DOWN_DM0                    (* (reg8 *) PLAY_DOWN__DM0) 
#define PLAY_DOWN_DM1                    (* (reg8 *) PLAY_DOWN__DM1)
#define PLAY_DOWN_DM2                    (* (reg8 *) PLAY_DOWN__DM2) 
/* Input Buffer Disable Override */
#define PLAY_DOWN_INP_DIS                (* (reg8 *) PLAY_DOWN__INP_DIS)
/* LCD Common or Segment Drive */
#define PLAY_DOWN_LCD_COM_SEG            (* (reg8 *) PLAY_DOWN__LCD_COM_SEG)
/* Enable Segment LCD */
#define PLAY_DOWN_LCD_EN                 (* (reg8 *) PLAY_DOWN__LCD_EN)
/* Slew Rate Control */
#define PLAY_DOWN_SLW                    (* (reg8 *) PLAY_DOWN__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define PLAY_DOWN_PRTDSI__CAPS_SEL       (* (reg8 *) PLAY_DOWN__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define PLAY_DOWN_PRTDSI__DBL_SYNC_IN    (* (reg8 *) PLAY_DOWN__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define PLAY_DOWN_PRTDSI__OE_SEL0        (* (reg8 *) PLAY_DOWN__PRTDSI__OE_SEL0) 
#define PLAY_DOWN_PRTDSI__OE_SEL1        (* (reg8 *) PLAY_DOWN__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define PLAY_DOWN_PRTDSI__OUT_SEL0       (* (reg8 *) PLAY_DOWN__PRTDSI__OUT_SEL0) 
#define PLAY_DOWN_PRTDSI__OUT_SEL1       (* (reg8 *) PLAY_DOWN__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define PLAY_DOWN_PRTDSI__SYNC_OUT       (* (reg8 *) PLAY_DOWN__PRTDSI__SYNC_OUT) 


#if defined(PLAY_DOWN__INTSTAT)  /* Interrupt Registers */

    #define PLAY_DOWN_INTSTAT                (* (reg8 *) PLAY_DOWN__INTSTAT)
    #define PLAY_DOWN_SNAP                   (* (reg8 *) PLAY_DOWN__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins PLAY_DOWN_H */


/* [] END OF FILE */
