/*******************************************************************************
* File Name: PLAY_STOP.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PLAY_STOP_H) /* Pins PLAY_STOP_H */
#define CY_PINS_PLAY_STOP_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "PLAY_STOP_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    PLAY_STOP_Write(uint8 value) ;
void    PLAY_STOP_SetDriveMode(uint8 mode) ;
uint8   PLAY_STOP_ReadDataReg(void) ;
uint8   PLAY_STOP_Read(void) ;
uint8   PLAY_STOP_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define PLAY_STOP_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define PLAY_STOP_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define PLAY_STOP_DM_RES_UP          PIN_DM_RES_UP
#define PLAY_STOP_DM_RES_DWN         PIN_DM_RES_DWN
#define PLAY_STOP_DM_OD_LO           PIN_DM_OD_LO
#define PLAY_STOP_DM_OD_HI           PIN_DM_OD_HI
#define PLAY_STOP_DM_STRONG          PIN_DM_STRONG
#define PLAY_STOP_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define PLAY_STOP_MASK               PLAY_STOP__MASK
#define PLAY_STOP_SHIFT              PLAY_STOP__SHIFT
#define PLAY_STOP_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define PLAY_STOP_PS                     (* (reg8 *) PLAY_STOP__PS)
/* Data Register */
#define PLAY_STOP_DR                     (* (reg8 *) PLAY_STOP__DR)
/* Port Number */
#define PLAY_STOP_PRT_NUM                (* (reg8 *) PLAY_STOP__PRT) 
/* Connect to Analog Globals */                                                  
#define PLAY_STOP_AG                     (* (reg8 *) PLAY_STOP__AG)                       
/* Analog MUX bux enable */
#define PLAY_STOP_AMUX                   (* (reg8 *) PLAY_STOP__AMUX) 
/* Bidirectional Enable */                                                        
#define PLAY_STOP_BIE                    (* (reg8 *) PLAY_STOP__BIE)
/* Bit-mask for Aliased Register Access */
#define PLAY_STOP_BIT_MASK               (* (reg8 *) PLAY_STOP__BIT_MASK)
/* Bypass Enable */
#define PLAY_STOP_BYP                    (* (reg8 *) PLAY_STOP__BYP)
/* Port wide control signals */                                                   
#define PLAY_STOP_CTL                    (* (reg8 *) PLAY_STOP__CTL)
/* Drive Modes */
#define PLAY_STOP_DM0                    (* (reg8 *) PLAY_STOP__DM0) 
#define PLAY_STOP_DM1                    (* (reg8 *) PLAY_STOP__DM1)
#define PLAY_STOP_DM2                    (* (reg8 *) PLAY_STOP__DM2) 
/* Input Buffer Disable Override */
#define PLAY_STOP_INP_DIS                (* (reg8 *) PLAY_STOP__INP_DIS)
/* LCD Common or Segment Drive */
#define PLAY_STOP_LCD_COM_SEG            (* (reg8 *) PLAY_STOP__LCD_COM_SEG)
/* Enable Segment LCD */
#define PLAY_STOP_LCD_EN                 (* (reg8 *) PLAY_STOP__LCD_EN)
/* Slew Rate Control */
#define PLAY_STOP_SLW                    (* (reg8 *) PLAY_STOP__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define PLAY_STOP_PRTDSI__CAPS_SEL       (* (reg8 *) PLAY_STOP__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define PLAY_STOP_PRTDSI__DBL_SYNC_IN    (* (reg8 *) PLAY_STOP__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define PLAY_STOP_PRTDSI__OE_SEL0        (* (reg8 *) PLAY_STOP__PRTDSI__OE_SEL0) 
#define PLAY_STOP_PRTDSI__OE_SEL1        (* (reg8 *) PLAY_STOP__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define PLAY_STOP_PRTDSI__OUT_SEL0       (* (reg8 *) PLAY_STOP__PRTDSI__OUT_SEL0) 
#define PLAY_STOP_PRTDSI__OUT_SEL1       (* (reg8 *) PLAY_STOP__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define PLAY_STOP_PRTDSI__SYNC_OUT       (* (reg8 *) PLAY_STOP__PRTDSI__SYNC_OUT) 


#if defined(PLAY_STOP__INTSTAT)  /* Interrupt Registers */

    #define PLAY_STOP_INTSTAT                (* (reg8 *) PLAY_STOP__INTSTAT)
    #define PLAY_STOP_SNAP                   (* (reg8 *) PLAY_STOP__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins PLAY_STOP_H */


/* [] END OF FILE */
