/*******************************************************************************
* File Name: PLAY_UP.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PLAY_UP_H) /* Pins PLAY_UP_H */
#define CY_PINS_PLAY_UP_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "PLAY_UP_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    PLAY_UP_Write(uint8 value) ;
void    PLAY_UP_SetDriveMode(uint8 mode) ;
uint8   PLAY_UP_ReadDataReg(void) ;
uint8   PLAY_UP_Read(void) ;
uint8   PLAY_UP_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define PLAY_UP_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define PLAY_UP_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define PLAY_UP_DM_RES_UP          PIN_DM_RES_UP
#define PLAY_UP_DM_RES_DWN         PIN_DM_RES_DWN
#define PLAY_UP_DM_OD_LO           PIN_DM_OD_LO
#define PLAY_UP_DM_OD_HI           PIN_DM_OD_HI
#define PLAY_UP_DM_STRONG          PIN_DM_STRONG
#define PLAY_UP_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define PLAY_UP_MASK               PLAY_UP__MASK
#define PLAY_UP_SHIFT              PLAY_UP__SHIFT
#define PLAY_UP_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define PLAY_UP_PS                     (* (reg8 *) PLAY_UP__PS)
/* Data Register */
#define PLAY_UP_DR                     (* (reg8 *) PLAY_UP__DR)
/* Port Number */
#define PLAY_UP_PRT_NUM                (* (reg8 *) PLAY_UP__PRT) 
/* Connect to Analog Globals */                                                  
#define PLAY_UP_AG                     (* (reg8 *) PLAY_UP__AG)                       
/* Analog MUX bux enable */
#define PLAY_UP_AMUX                   (* (reg8 *) PLAY_UP__AMUX) 
/* Bidirectional Enable */                                                        
#define PLAY_UP_BIE                    (* (reg8 *) PLAY_UP__BIE)
/* Bit-mask for Aliased Register Access */
#define PLAY_UP_BIT_MASK               (* (reg8 *) PLAY_UP__BIT_MASK)
/* Bypass Enable */
#define PLAY_UP_BYP                    (* (reg8 *) PLAY_UP__BYP)
/* Port wide control signals */                                                   
#define PLAY_UP_CTL                    (* (reg8 *) PLAY_UP__CTL)
/* Drive Modes */
#define PLAY_UP_DM0                    (* (reg8 *) PLAY_UP__DM0) 
#define PLAY_UP_DM1                    (* (reg8 *) PLAY_UP__DM1)
#define PLAY_UP_DM2                    (* (reg8 *) PLAY_UP__DM2) 
/* Input Buffer Disable Override */
#define PLAY_UP_INP_DIS                (* (reg8 *) PLAY_UP__INP_DIS)
/* LCD Common or Segment Drive */
#define PLAY_UP_LCD_COM_SEG            (* (reg8 *) PLAY_UP__LCD_COM_SEG)
/* Enable Segment LCD */
#define PLAY_UP_LCD_EN                 (* (reg8 *) PLAY_UP__LCD_EN)
/* Slew Rate Control */
#define PLAY_UP_SLW                    (* (reg8 *) PLAY_UP__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define PLAY_UP_PRTDSI__CAPS_SEL       (* (reg8 *) PLAY_UP__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define PLAY_UP_PRTDSI__DBL_SYNC_IN    (* (reg8 *) PLAY_UP__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define PLAY_UP_PRTDSI__OE_SEL0        (* (reg8 *) PLAY_UP__PRTDSI__OE_SEL0) 
#define PLAY_UP_PRTDSI__OE_SEL1        (* (reg8 *) PLAY_UP__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define PLAY_UP_PRTDSI__OUT_SEL0       (* (reg8 *) PLAY_UP__PRTDSI__OUT_SEL0) 
#define PLAY_UP_PRTDSI__OUT_SEL1       (* (reg8 *) PLAY_UP__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define PLAY_UP_PRTDSI__SYNC_OUT       (* (reg8 *) PLAY_UP__PRTDSI__SYNC_OUT) 


#if defined(PLAY_UP__INTSTAT)  /* Interrupt Registers */

    #define PLAY_UP_INTSTAT                (* (reg8 *) PLAY_UP__INTSTAT)
    #define PLAY_UP_SNAP                   (* (reg8 *) PLAY_UP__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins PLAY_UP_H */


/* [] END OF FILE */
