/*******************************************************************************
* File Name: REC.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_REC_H) /* Pins REC_H */
#define CY_PINS_REC_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "REC_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    REC_Write(uint8 value) ;
void    REC_SetDriveMode(uint8 mode) ;
uint8   REC_ReadDataReg(void) ;
uint8   REC_Read(void) ;
uint8   REC_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define REC_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define REC_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define REC_DM_RES_UP          PIN_DM_RES_UP
#define REC_DM_RES_DWN         PIN_DM_RES_DWN
#define REC_DM_OD_LO           PIN_DM_OD_LO
#define REC_DM_OD_HI           PIN_DM_OD_HI
#define REC_DM_STRONG          PIN_DM_STRONG
#define REC_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define REC_MASK               REC__MASK
#define REC_SHIFT              REC__SHIFT
#define REC_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define REC_PS                     (* (reg8 *) REC__PS)
/* Data Register */
#define REC_DR                     (* (reg8 *) REC__DR)
/* Port Number */
#define REC_PRT_NUM                (* (reg8 *) REC__PRT) 
/* Connect to Analog Globals */                                                  
#define REC_AG                     (* (reg8 *) REC__AG)                       
/* Analog MUX bux enable */
#define REC_AMUX                   (* (reg8 *) REC__AMUX) 
/* Bidirectional Enable */                                                        
#define REC_BIE                    (* (reg8 *) REC__BIE)
/* Bit-mask for Aliased Register Access */
#define REC_BIT_MASK               (* (reg8 *) REC__BIT_MASK)
/* Bypass Enable */
#define REC_BYP                    (* (reg8 *) REC__BYP)
/* Port wide control signals */                                                   
#define REC_CTL                    (* (reg8 *) REC__CTL)
/* Drive Modes */
#define REC_DM0                    (* (reg8 *) REC__DM0) 
#define REC_DM1                    (* (reg8 *) REC__DM1)
#define REC_DM2                    (* (reg8 *) REC__DM2) 
/* Input Buffer Disable Override */
#define REC_INP_DIS                (* (reg8 *) REC__INP_DIS)
/* LCD Common or Segment Drive */
#define REC_LCD_COM_SEG            (* (reg8 *) REC__LCD_COM_SEG)
/* Enable Segment LCD */
#define REC_LCD_EN                 (* (reg8 *) REC__LCD_EN)
/* Slew Rate Control */
#define REC_SLW                    (* (reg8 *) REC__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define REC_PRTDSI__CAPS_SEL       (* (reg8 *) REC__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define REC_PRTDSI__DBL_SYNC_IN    (* (reg8 *) REC__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define REC_PRTDSI__OE_SEL0        (* (reg8 *) REC__PRTDSI__OE_SEL0) 
#define REC_PRTDSI__OE_SEL1        (* (reg8 *) REC__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define REC_PRTDSI__OUT_SEL0       (* (reg8 *) REC__PRTDSI__OUT_SEL0) 
#define REC_PRTDSI__OUT_SEL1       (* (reg8 *) REC__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define REC_PRTDSI__SYNC_OUT       (* (reg8 *) REC__PRTDSI__SYNC_OUT) 


#if defined(REC__INTSTAT)  /* Interrupt Registers */

    #define REC_INTSTAT                (* (reg8 *) REC__INTSTAT)
    #define REC_SNAP                   (* (reg8 *) REC__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins REC_H */


/* [] END OF FILE */
