/*******************************************************************************
* File Name: wen.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_wen_H) /* Pins wen_H */
#define CY_PINS_wen_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "wen_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    wen_Write(uint8 value) ;
void    wen_SetDriveMode(uint8 mode) ;
uint8   wen_ReadDataReg(void) ;
uint8   wen_Read(void) ;
uint8   wen_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define wen_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define wen_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define wen_DM_RES_UP          PIN_DM_RES_UP
#define wen_DM_RES_DWN         PIN_DM_RES_DWN
#define wen_DM_OD_LO           PIN_DM_OD_LO
#define wen_DM_OD_HI           PIN_DM_OD_HI
#define wen_DM_STRONG          PIN_DM_STRONG
#define wen_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define wen_MASK               wen__MASK
#define wen_SHIFT              wen__SHIFT
#define wen_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define wen_PS                     (* (reg8 *) wen__PS)
/* Data Register */
#define wen_DR                     (* (reg8 *) wen__DR)
/* Port Number */
#define wen_PRT_NUM                (* (reg8 *) wen__PRT) 
/* Connect to Analog Globals */                                                  
#define wen_AG                     (* (reg8 *) wen__AG)                       
/* Analog MUX bux enable */
#define wen_AMUX                   (* (reg8 *) wen__AMUX) 
/* Bidirectional Enable */                                                        
#define wen_BIE                    (* (reg8 *) wen__BIE)
/* Bit-mask for Aliased Register Access */
#define wen_BIT_MASK               (* (reg8 *) wen__BIT_MASK)
/* Bypass Enable */
#define wen_BYP                    (* (reg8 *) wen__BYP)
/* Port wide control signals */                                                   
#define wen_CTL                    (* (reg8 *) wen__CTL)
/* Drive Modes */
#define wen_DM0                    (* (reg8 *) wen__DM0) 
#define wen_DM1                    (* (reg8 *) wen__DM1)
#define wen_DM2                    (* (reg8 *) wen__DM2) 
/* Input Buffer Disable Override */
#define wen_INP_DIS                (* (reg8 *) wen__INP_DIS)
/* LCD Common or Segment Drive */
#define wen_LCD_COM_SEG            (* (reg8 *) wen__LCD_COM_SEG)
/* Enable Segment LCD */
#define wen_LCD_EN                 (* (reg8 *) wen__LCD_EN)
/* Slew Rate Control */
#define wen_SLW                    (* (reg8 *) wen__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define wen_PRTDSI__CAPS_SEL       (* (reg8 *) wen__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define wen_PRTDSI__DBL_SYNC_IN    (* (reg8 *) wen__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define wen_PRTDSI__OE_SEL0        (* (reg8 *) wen__PRTDSI__OE_SEL0) 
#define wen_PRTDSI__OE_SEL1        (* (reg8 *) wen__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define wen_PRTDSI__OUT_SEL0       (* (reg8 *) wen__PRTDSI__OUT_SEL0) 
#define wen_PRTDSI__OUT_SEL1       (* (reg8 *) wen__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define wen_PRTDSI__SYNC_OUT       (* (reg8 *) wen__PRTDSI__SYNC_OUT) 


#if defined(wen__INTSTAT)  /* Interrupt Registers */

    #define wen_INTSTAT                (* (reg8 *) wen__INTSTAT)
    #define wen_SNAP                   (* (reg8 *) wen__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins wen_H */


/* [] END OF FILE */
